PATCH /discord/guilds/{guildId}/events/{eventId}

Update any subset; status cancelled cancels the event (kept in the server's history)

PATCH
/discord/guilds/{guildId}/events/{eventId}

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

guildId*string

Discord server (guild) id

eventId*string

Event id

Request Body

application/json
  1. body
accountId*string
name?string
description?string
startsAt?string
endsAt?string
location?string

External events

status?string
Value in"scheduled""active""completed""cancelled"
imageDataUri?string

Response Body

{data}

application/json
  1. response
data?

Discord's scheduled event, verbatim

Example Request
curl -X PATCH 'https://example.com/api/v1/discord/guilds/string/events/string' \  -H 'Content-Type: application/json' \  -d '{  "accountId": "string"}'
Example Response
{  "data": {    "id": "string",    "guild_id": "string",    "channel_id": "string",    "creator_id": "string",    "name": "string",    "description": "string",    "scheduled_start_time": "string",    "scheduled_end_time": "string",    "privacy_level": 2,    "status": 1,    "entity_type": 1,    "entity_id": "string",    "entity_metadata": {},    "user_count": 0,    "image": "string"  }}